> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cambioml.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query

> This endpoint queries the status, such as remaining pages.



## OpenAPI

````yaml GET /query
openapi: 3.0.1
info:
  title: AnyParser RT API
  description: >-
    A real-time parser designed to extract content from various file formats,
    including PDFs and DOCX files.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://public-api.cambio-ai.com
security:
  - apiKeyAuth: []
paths:
  /query:
    get:
      summary: Query the status of the API
      description: This endpoint queries the status, such as remaining pages.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: Your API key.
      responses:
        '200':
          description: Query status
          content:
            application/json:
              schema:
                type: object
                properties:
                  pageRemaining:
                    type: string
                    description: Number of pages remaining.
        '429':
          description: Rate limit exceeded. Only 1 request per second is allowed.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````